@echo off
SETLOCAL

chcp 65001

del /S *.log

call mvn clean -DskipTests=true package

cd chsm-web-manage
echo ">>>>>>>>>>>begin build docker image ...<<<<<<<<<<<<<"
docker build -t chsm-web-manager:latest .
echo ">>>>>>>>>>>build docker image success<<<<<<<<<<<<<"

cd ../chsm-web-server
echo ">>>>>>>>>>>begin build docker image ...<<<<<<<<<<<<<"
docker build -t chsm-web-server:latest .
echo ">>>>>>>>>>>build docker image success<<<<<<<<<<<<<"

cd ..
echo ">>>>>>>>>>>begin build offline tar ...<<<<<<<<<<<<<"
docker save -o chsm-web-manager.tar chsm-web-manager:latest
docker save -o chsm-web-server.tar chsm-web-server:latest
echo ">>>>>>>>>>>build docker offline tar success<<<<<<<<<<<<<"

pause

